All Data Structures Functions Variables Typedefs Enumerations Enumerator Groups Pages
FilterColumn32f
1D Linear Filter

FilterColumn using floating-point weights. More...

## Functions

NppStatus | nppiFilterColumn32f_8u_C1R_Ctx (const Npp8u *pSrc, Npp32s nSrcStep, Npp8u *pDst, Npp32s nDstStep, NppiSize oROI, const Npp32f *pKernel, Npp32s nMaskSize, Npp32s nAnchor, NppStreamContext nppStreamCtx)
| 8-bit unsigned single-channel 1D column convolution. More...
NppStatus | nppiFilterColumn32f_8u_C1R (const Npp8u *pSrc, Npp32s nSrcStep, Npp8u *pDst, Npp32s nDstStep, NppiSize oROI, const Npp32f *pKernel, Npp32s nMaskSize, Npp32s nAnchor)
NppStatus | nppiFilterColumn32f_8u_C3R_Ctx (const Npp8u *pSrc, Npp32s nSrcStep, Npp8u *pDst, Npp32s nDstStep, NppiSize oROI, const Npp32f *pKernel, Npp32s nMaskSize, Npp32s nAnchor, NppStreamContext nppStreamCtx)
| 8-bit unsigned three-channel 1D column convolution. More...
NppStatus | nppiFilterColumn32f_8u_C3R (const Npp8u *pSrc, Npp32s nSrcStep, Npp8u *pDst, Npp32s nDstStep, NppiSize oROI, const Npp32f *pKernel, Npp32s nMaskSize, Npp32s nAnchor)
NppStatus | nppiFilterColumn32f_8u_C4R_Ctx (const Npp8u *pSrc, Npp32s nSrcStep, Npp8u *pDst, Npp32s nDstStep, NppiSize oROI, const Npp32f *pKernel, Npp32s nMaskSize, Npp32s nAnchor, NppStreamContext nppStreamCtx)
| 8-bit unsigned four-channel 1D column convolution. More...
NppStatus | nppiFilterColumn32f_8u_C4R (const Npp8u *pSrc, Npp32s nSrcStep, Npp8u *pDst, Npp32s nDstStep, NppiSize oROI, const Npp32f *pKernel, Npp32s nMaskSize, Npp32s nAnchor)
NppStatus | nppiFilterColumn32f_8u_AC4R_Ctx (const Npp8u *pSrc, Npp32s nSrcStep, Npp8u *pDst, Npp32s nDstStep, NppiSize oROI, const Npp32f *pKernel, Npp32s nMaskSize, Npp32s nAnchor, NppStreamContext nppStreamCtx)
| 8-bit unsigned four-channel 1D column convolution ignoring alpha-channel. More...
NppStatus | nppiFilterColumn32f_8u_AC4R (const Npp8u *pSrc, Npp32s nSrcStep, Npp8u *pDst, Npp32s nDstStep, NppiSize oROI, const Npp32f *pKernel, Npp32s nMaskSize, Npp32s nAnchor)
NppStatus | nppiFilterColumn32f_16u_C1R_Ctx (const Npp16u *pSrc, Npp32s nSrcStep, Npp16u *pDst, Npp32s nDstStep, NppiSize oROI, const Npp32f *pKernel, Npp32s nMaskSize, Npp32s nAnchor, NppStreamContext nppStreamCtx)
| 16-bit unsigned single-channel 1D column convolution. More...
NppStatus | nppiFilterColumn32f_16u_C1R (const Npp16u *pSrc, Npp32s nSrcStep, Npp16u *pDst, Npp32s nDstStep, NppiSize oROI, const Npp32f *pKernel, Npp32s nMaskSize, Npp32s nAnchor)
NppStatus | nppiFilterColumn32f_16u_C3R_Ctx (const Npp16u *pSrc, Npp32s nSrcStep, Npp16u *pDst, Npp32s nDstStep, NppiSize oROI, const Npp32f *pKernel, Npp32s nMaskSize, Npp32s nAnchor, NppStreamContext nppStreamCtx)
| 16-bit unsigned three-channel 1D column convolution. More...
NppStatus | nppiFilterColumn32f_16u_C3R (const Npp16u *pSrc, Npp32s nSrcStep, Npp16u *pDst, Npp32s nDstStep, NppiSize oROI, const Npp32f *pKernel, Npp32s nMaskSize, Npp32s nAnchor)
NppStatus | nppiFilterColumn32f_16u_C4R_Ctx (const Npp16u *pSrc, Npp32s nSrcStep, Npp16u *pDst, Npp32s nDstStep, NppiSize oROI, const Npp32f *pKernel, Npp32s nMaskSize, Npp32s nAnchor, NppStreamContext nppStreamCtx)
| 16-bit unsigned four-channel 1D column convolution. More...
NppStatus | nppiFilterColumn32f_16u_C4R (const Npp16u *pSrc, Npp32s nSrcStep, Npp16u *pDst, Npp32s nDstStep, NppiSize oROI, const Npp32f *pKernel, Npp32s nMaskSize, Npp32s nAnchor)
NppStatus | nppiFilterColumn32f_16u_AC4R_Ctx (const Npp16u *pSrc, Npp32s nSrcStep, Npp16u *pDst, Npp32s nDstStep, NppiSize oROI, const Npp32f *pKernel, Npp32s nMaskSize, Npp32s nAnchor, NppStreamContext nppStreamCtx)
| 16-bit unsigned four-channel 1D column convolution ignoring alpha-channel. More...
NppStatus | nppiFilterColumn32f_16u_AC4R (const Npp16u *pSrc, Npp32s nSrcStep, Npp16u *pDst, Npp32s nDstStep, NppiSize oROI, const Npp32f *pKernel, Npp32s nMaskSize, Npp32s nAnchor)
NppStatus | nppiFilterColumn32f_16s_C1R_Ctx (const Npp16s *pSrc, Npp32s nSrcStep, Npp16s *pDst, Npp32s nDstStep, NppiSize oROI, const Npp32f *pKernel, Npp32s nMaskSize, Npp32s nAnchor, NppStreamContext nppStreamCtx)
| 16-bit single-channel 1D column convolution. More...
NppStatus | nppiFilterColumn32f_16s_C1R (const Npp16s *pSrc, Npp32s nSrcStep, Npp16s *pDst, Npp32s nDstStep, NppiSize oROI, const Npp32f *pKernel, Npp32s nMaskSize, Npp32s nAnchor)
NppStatus | nppiFilterColumn32f_16s_C3R_Ctx (const Npp16s *pSrc, Npp32s nSrcStep, Npp16s *pDst, Npp32s nDstStep, NppiSize oROI, const Npp32f *pKernel, Npp32s nMaskSize, Npp32s nAnchor, NppStreamContext nppStreamCtx)
| 16-bit three-channel 1D column convolution. More...
NppStatus | nppiFilterColumn32f_16s_C3R (const Npp16s *pSrc, Npp32s nSrcStep, Npp16s *pDst, Npp32s nDstStep, NppiSize oROI, const Npp32f *pKernel, Npp32s nMaskSize, Npp32s nAnchor)
NppStatus | nppiFilterColumn32f_16s_C4R_Ctx (const Npp16s *pSrc, Npp32s nSrcStep, Npp16s *pDst, Npp32s nDstStep, NppiSize oROI, const Npp32f *pKernel, Npp32s nMaskSize, Npp32s nAnchor, NppStreamContext nppStreamCtx)
| 16-bit four-channel 1D column convolution. More...
NppStatus | nppiFilterColumn32f_16s_C4R (const Npp16s *pSrc, Npp32s nSrcStep, Npp16s *pDst, Npp32s nDstStep, NppiSize oROI, const Npp32f *pKernel, Npp32s nMaskSize, Npp32s nAnchor)
NppStatus | nppiFilterColumn32f_16s_AC4R_Ctx (const Npp16s *pSrc, Npp32s nSrcStep, Npp16s *pDst, Npp32s nDstStep, NppiSize oROI, const Npp32f *pKernel, Npp32s nMaskSize, Npp32s nAnchor, NppStreamContext nppStreamCtx)
| 16-bit four-channel 1D column convolution ignoring alpha-channel. More...
NppStatus | nppiFilterColumn32f_16s_AC4R (const Npp16s *pSrc, Npp32s nSrcStep, Npp16s *pDst, Npp32s nDstStep, NppiSize oROI, const Npp32f *pKernel, Npp32s nMaskSize, Npp32s nAnchor)

## Detailed Description

FilterColumn using floating-point weights.

### Common parameters for nppiFilterColumn32f functions include:

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oROI | Region-of-Interest (ROI).
  pKernel | Pointer to the start address of the kernel coefficient array. Coefficients are expected to be stored in reverse order.
  nMaskSize | Length of the linear kernel array.
  nAnchor | Y offset of the kernel origin frame of reference relative to the source pixel.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

## Function Documentation

NppStatus nppiFilterColumn32f_16s_AC4R | ( | const Npp16s * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp16s * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oROI,
|  | const Npp32f * | pKernel,
|  | Npp32s | nMaskSize,
|  | Npp32s | nAnchor
| ) |  |

NppStatus nppiFilterColumn32f_16s_AC4R_Ctx | ( | const Npp16s * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp16s * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oROI,
|  | const Npp32f * | pKernel,
|  | Npp32s | nMaskSize,
|  | Npp32s | nAnchor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

16-bit four-channel 1D column convolution ignoring alpha-channel.

For common parameter descriptions, see Common parameters for nppiFilterColumn32f functions.

NppStatus nppiFilterColumn32f_16s_C1R | ( | const Npp16s * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp16s * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oROI,
|  | const Npp32f * | pKernel,
|  | Npp32s | nMaskSize,
|  | Npp32s | nAnchor
| ) |  |

NppStatus nppiFilterColumn32f_16s_C1R_Ctx | ( | const Npp16s * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp16s * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oROI,
|  | const Npp32f * | pKernel,
|  | Npp32s | nMaskSize,
|  | Npp32s | nAnchor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

16-bit single-channel 1D column convolution.

For common parameter descriptions, see Common parameters for nppiFilterColumn32f functions.

NppStatus nppiFilterColumn32f_16s_C3R | ( | const Npp16s * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp16s * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oROI,
|  | const Npp32f * | pKernel,
|  | Npp32s | nMaskSize,
|  | Npp32s | nAnchor
| ) |  |

NppStatus nppiFilterColumn32f_16s_C3R_Ctx | ( | const Npp16s * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp16s * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oROI,
|  | const Npp32f * | pKernel,
|  | Npp32s | nMaskSize,
|  | Npp32s | nAnchor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

16-bit three-channel 1D column convolution.

For common parameter descriptions, see Common parameters for nppiFilterColumn32f functions.

NppStatus nppiFilterColumn32f_16s_C4R | ( | const Npp16s * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp16s * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oROI,
|  | const Npp32f * | pKernel,
|  | Npp32s | nMaskSize,
|  | Npp32s | nAnchor
| ) |  |

NppStatus nppiFilterColumn32f_16s_C4R_Ctx | ( | const Npp16s * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp16s * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oROI,
|  | const Npp32f * | pKernel,
|  | Npp32s | nMaskSize,
|  | Npp32s | nAnchor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

16-bit four-channel 1D column convolution.

For common parameter descriptions, see Common parameters for nppiFilterColumn32f functions.

NppStatus nppiFilterColumn32f_16u_AC4R | ( | const Npp16u * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp16u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oROI,
|  | const Npp32f * | pKernel,
|  | Npp32s | nMaskSize,
|  | Npp32s | nAnchor
| ) |  |

NppStatus nppiFilterColumn32f_16u_AC4R_Ctx | ( | const Npp16u * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp16u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oROI,
|  | const Npp32f * | pKernel,
|  | Npp32s | nMaskSize,
|  | Npp32s | nAnchor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

16-bit unsigned four-channel 1D column convolution ignoring alpha-channel.

For common parameter descriptions, see Common parameters for nppiFilterColumn32f functions.

NppStatus nppiFilterColumn32f_16u_C1R | ( | const Npp16u * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp16u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oROI,
|  | const Npp32f * | pKernel,
|  | Npp32s | nMaskSize,
|  | Npp32s | nAnchor
| ) |  |

NppStatus nppiFilterColumn32f_16u_C1R_Ctx | ( | const Npp16u * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp16u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oROI,
|  | const Npp32f * | pKernel,
|  | Npp32s | nMaskSize,
|  | Npp32s | nAnchor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

16-bit unsigned single-channel 1D column convolution.

For common parameter descriptions, see Common parameters for nppiFilterColumn32f functions.

NppStatus nppiFilterColumn32f_16u_C3R | ( | const Npp16u * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp16u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oROI,
|  | const Npp32f * | pKernel,
|  | Npp32s | nMaskSize,
|  | Npp32s | nAnchor
| ) |  |

NppStatus nppiFilterColumn32f_16u_C3R_Ctx | ( | const Npp16u * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp16u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oROI,
|  | const Npp32f * | pKernel,
|  | Npp32s | nMaskSize,
|  | Npp32s | nAnchor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

16-bit unsigned three-channel 1D column convolution.

For common parameter descriptions, see Common parameters for nppiFilterColumn32f functions.

NppStatus nppiFilterColumn32f_16u_C4R | ( | const Npp16u * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp16u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oROI,
|  | const Npp32f * | pKernel,
|  | Npp32s | nMaskSize,
|  | Npp32s | nAnchor
| ) |  |

NppStatus nppiFilterColumn32f_16u_C4R_Ctx | ( | const Npp16u * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp16u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oROI,
|  | const Npp32f * | pKernel,
|  | Npp32s | nMaskSize,
|  | Npp32s | nAnchor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

16-bit unsigned four-channel 1D column convolution.

For common parameter descriptions, see Common parameters for nppiFilterColumn32f functions.

NppStatus nppiFilterColumn32f_8u_AC4R | ( | const Npp8u * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp8u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oROI,
|  | const Npp32f * | pKernel,
|  | Npp32s | nMaskSize,
|  | Npp32s | nAnchor
| ) |  |

NppStatus nppiFilterColumn32f_8u_AC4R_Ctx | ( | const Npp8u * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp8u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oROI,
|  | const Npp32f * | pKernel,
|  | Npp32s | nMaskSize,
|  | Npp32s | nAnchor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

8-bit unsigned four-channel 1D column convolution ignoring alpha-channel.

For common parameter descriptions, see Common parameters for nppiFilterColumn32f functions.

NppStatus nppiFilterColumn32f_8u_C1R | ( | const Npp8u * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp8u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oROI,
|  | const Npp32f * | pKernel,
|  | Npp32s | nMaskSize,
|  | Npp32s | nAnchor
| ) |  |

NppStatus nppiFilterColumn32f_8u_C1R_Ctx | ( | const Npp8u * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp8u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oROI,
|  | const Npp32f * | pKernel,
|  | Npp32s | nMaskSize,
|  | Npp32s | nAnchor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

8-bit unsigned single-channel 1D column convolution.

For common parameter descriptions, see Common parameters for nppiFilterColumn32f functions.

NppStatus nppiFilterColumn32f_8u_C3R | ( | const Npp8u * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp8u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oROI,
|  | const Npp32f * | pKernel,
|  | Npp32s | nMaskSize,
|  | Npp32s | nAnchor
| ) |  |

NppStatus nppiFilterColumn32f_8u_C3R_Ctx | ( | const Npp8u * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp8u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oROI,
|  | const Npp32f * | pKernel,
|  | Npp32s | nMaskSize,
|  | Npp32s | nAnchor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

8-bit unsigned three-channel 1D column convolution.

For common parameter descriptions, see Common parameters for nppiFilterColumn32f functions.

NppStatus nppiFilterColumn32f_8u_C4R | ( | const Npp8u * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp8u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oROI,
|  | const Npp32f * | pKernel,
|  | Npp32s | nMaskSize,
|  | Npp32s | nAnchor
| ) |  |

NppStatus nppiFilterColumn32f_8u_C4R_Ctx | ( | const Npp8u * | pSrc,
|  | Npp32s | nSrcStep,
|  | Npp8u * | pDst,
|  | Npp32s | nDstStep,
|  | NppiSize | oROI,
|  | const Npp32f * | pKernel,
|  | Npp32s | nMaskSize,
|  | Npp32s | nAnchor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

8-bit unsigned four-channel 1D column convolution.

For common parameter descriptions, see Common parameters for nppiFilterColumn32f functions.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

Copyright © 2009-2019 NVIDIA Corporation